#pragma once

#include <SimoxUtility/meta/enum/EnumNames.hpp>

namespace armarx::view_selection::common
{

    enum class ControllerType
    {
        GazeControllerGazeIK,
        GazeControllerAtan2,
        GazeControllerHemisphere
    };

    constexpr const char* GazeControllerGazeIKName = "GazeControllerGazeIK";
    constexpr const char* GazeControllerAtan2Name = "GazeControllerAtan2";
    constexpr const char* GazeControllerHemisphereName = "GazeControllerHemisphere";

    inline const simox::meta::EnumNames<ControllerType> ControllerTypeNames{
        {ControllerType::GazeControllerGazeIK, GazeControllerGazeIKName},
        {ControllerType::GazeControllerAtan2, GazeControllerAtan2Name},
        {ControllerType::GazeControllerHemisphere, GazeControllerHemisphereName}};


} // namespace armarx::view_selection::common
