/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     VS_CODE_USER_NAME ( VS_CODE_USER_EMAIL )
 * @date       2023
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include <armarx/view_selection/gaze_targets/GazeTarget.h>

namespace armarx::view_selection::gaze_scheduler
{

    class ControllerHandlerInterface
    {
    public:
        virtual ~ControllerHandlerInterface() = default;

        virtual void activateController() = 0;
        virtual void createController() = 0;
        virtual void updateControllerTarget(const gaze_targets::GazeTarget& gazeTarget) = 0;
    };

} // namespace armarx::view_selection::gaze_scheduler
