#pragma once


#include <RobotAPI/libraries/armem_objects/client/instance/ObjectReader.h>
#include <RobotAPI/libraries/skills/provider/SimpleSpecializedSkill.h>

#include <armarx/view_selection/skills/aron/ScanLocationsForObjectParams.aron.generated.h>

namespace armarx::view_selection::skills
{
    class ScanLocationsForObject :
        public ::armarx::skills::SimpleSpecializedSkill<arondto::ScanLocationsForObjectParams>
    {
    public:
        static ::armarx::skills::SkillDescription GetSkillDescription();

        struct Services
        {
            armarx::armem::obj::instance::Reader objectReader;
        };

        struct Properties
        {
            struct SubSkillIds
            {
                SubSkillIds();

                armarx::skills::SkillID lookAtArticulatedObjectFrame;
            };

            SubSkillIds subSkillIDs;
        };

    public:
        ScanLocationsForObject(const Services& services, const Properties& properties);

    private:
        ::armarx::skills::Skill::MainResult main(const SpecializedMainInput& in) override;


    private:
        Services services;
        Properties properties;
    };

} // namespace armarx::view_selection::skills
