/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Fabian Reister ( fabian dot reister at kit dot edu )
 * @date       2023
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */


#include "constants.h"

namespace armarx::view_selection::skills
{
    const std::string constants::ViewSelectionSkillProviderName = "view_selection_skill_provider";
}

namespace armarx::view_selection::skills::constants
{

    const std::string skill_names::LookForObjectsWithKinematicUnit =
        "LookForObjectsWithKinematicUnit";
    const std::string skill_names::LookForObjects = "LookForObjects";
    const std::string skill_names::LookAt = "LookAt";
    const std::string skill_names::LookAtArticulatedObjectFrame = "LookAtArticulatedObjectFrame";
    const std::string skill_names::LookAtHumanFace = "LookAtHumanFace";
    const std::string skill_names::LookAtHumanHand = "LookAtHumanHand";
    const std::string skill_names::LookAtObject = "LookAtObject";
    const std::string skill_names::ScanLocation = "ScanLocation";
    const std::string skill_names::ScanLocationsForObject = "ScanLocationsForObject";
    const std::string skill_names::LookUp = "LookUp";
    const std::string skill_names::LookDown = "LookDown";
    const std::string skill_names::LookDownstraight = "LookDownstraight";
    const std::string skill_names::LookLeft = "LookLeft";
    const std::string skill_names::LookRight = "LookRight";
    const std::string skill_names::LookAhead = "LookAhead";
    const std::string skill_names::SetCustomGazeTarget = "SetCustomGazeTarget";
    const std::string skill_names::ResetGazeTargets = "ResetGazeTargets";

} // namespace armarx::view_selection::skills::constants
