/**
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Fabian Reister ( fabian dot reister at kit dot edu )
 * @date       2023
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once

#include <string>

namespace armarx::view_selection::skills::constants
{
    extern const std::string ViewSelectionSkillProviderName;
}

namespace armarx::view_selection::skills::constants::skill_names
{

    extern const std::string LookForObjectsWithKinematicUnit;
    extern const std::string LookForObjects;
    extern const std::string LookAt;
    extern const std::string LookAtArticulatedObjectFrame;
    extern const std::string LookAtHumanFace;
    extern const std::string LookAtHumanHand;
    extern const std::string LookAtObject;
    extern const std::string ScanLocation;
    extern const std::string ScanLocationsForObject;
    extern const std::string LookUp;
    extern const std::string LookDown;
    extern const std::string LookDownstraight;
    extern const std::string LookLeft;
    extern const std::string LookRight;
    extern const std::string LookAhead;
    extern const std::string SetCustomGazeTarget;
    extern const std::string ResetGazeTargets;

} // namespace armarx::view_selection::skills::constants::skill_names
