/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Rainer Kartmann ( rainer dot kartmann at kit dot edu )
 * @date       2023
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#include "skill_ids.h"

#include <armarx/view_selection/skills/constants.h>

namespace armarx::view_selection::skills
{
    const armarx::skills::ProviderID skill_ids::ViewSelectionSkillProvider{
        .providerName = constants::ViewSelectionSkillProviderName,
    };

    const armarx::skills::SkillID skill_ids::LookForObjectsWithKinematicUnit{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookForObjectsWithKinematicUnit,
    };
    const armarx::skills::SkillID skill_ids::LookForObjects{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookForObjects,
    };
    const armarx::skills::SkillID skill_ids::LookAt{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookAt,
    };
    const armarx::skills::SkillID skill_ids::LookAtArticulatedObjectFrame{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookAtArticulatedObjectFrame,
    };
    const armarx::skills::SkillID skill_ids::LookAtObject{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookAtObject,
    };
    const armarx::skills::SkillID skill_ids::ScanLocation{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::ScanLocation,
    };
    const armarx::skills::SkillID skill_ids::ScanLocationsForObject{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::ScanLocationsForObject,
    };

    const armarx::skills::SkillID skill_ids::LookUp{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookUp,
    };
    const armarx::skills::SkillID skill_ids::LookDown{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookDown,
    };
    const armarx::skills::SkillID skill_ids::LookDownstraight{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookDownstraight,
    };
    const armarx::skills::SkillID skill_ids::LookLeft{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookLeft,
    };
    const armarx::skills::SkillID skill_ids::LookRight{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookRight,
    };
    const armarx::skills::SkillID skill_ids::LookAhead{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::LookAhead,
    };
    const armarx::skills::SkillID skill_ids::SetCustomGazeTarget{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::SetCustomGazeTarget,
    };

    const armarx::skills::SkillID skill_ids::ResetGazeTargets{
        .providerId = ViewSelectionSkillProvider,
        .skillName = constants::skill_names::ResetGazeTargets,
    };

} // namespace armarx::view_selection::skills
