/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Rainer Kartmann ( rainer dot kartmann at kit dot edu )
 * @date       2023
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#pragma once


#include <RobotAPI/libraries/skills/core/ProviderID.h>
#include <RobotAPI/libraries/skills/core/SkillID.h>

namespace armarx::view_selection::skills::skill_ids
{
    extern const armarx::skills::ProviderID ViewSelectionSkillProvider;

    extern const armarx::skills::SkillID LookForObjectsWithKinematicUnit;
    extern const armarx::skills::SkillID LookForObjects;
    extern const armarx::skills::SkillID LookAt;
    extern const armarx::skills::SkillID ScanLocation;
    extern const armarx::skills::SkillID LookAtArticulatedObjectFrame;
    extern const armarx::skills::SkillID LookAtObject;
    extern const armarx::skills::SkillID ScanLocationsForObject;

    extern const armarx::skills::SkillID LookUp;
    extern const armarx::skills::SkillID LookDown;
    extern const armarx::skills::SkillID LookDownstraight;
    extern const armarx::skills::SkillID LookLeft;
    extern const armarx::skills::SkillID LookRight;
    extern const armarx::skills::SkillID LookAhead;
    extern const armarx::skills::SkillID SetCustomGazeTarget;

    extern const armarx::skills::SkillID ResetGazeTargets;

} // namespace armarx::view_selection::skills::skill_ids
