/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    view_selection::LookToGroup::LookToGroupRemoteStateOfferer
 * @author     Fabian Reister ( fabian dot reister at kit dot edu )
 * @date       2022
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#include "LookToGroupRemoteStateOfferer.h"

namespace armarx::LookToGroup
{
    // DO NOT EDIT NEXT LINE
    LookToGroupRemoteStateOfferer::SubClassRegistry
        LookToGroupRemoteStateOfferer::Registry(LookToGroupRemoteStateOfferer::GetName(),
                                                &LookToGroupRemoteStateOfferer::CreateInstance);

    LookToGroupRemoteStateOfferer::LookToGroupRemoteStateOfferer(
        StatechartGroupXmlReaderPtr reader) :
        XMLRemoteStateOfferer<LookToGroupStatechartContext>(reader)
    {
    }

    void
    LookToGroupRemoteStateOfferer::onInitXMLRemoteStateOfferer()
    {
    }

    void
    LookToGroupRemoteStateOfferer::onConnectXMLRemoteStateOfferer()
    {
    }

    void
    LookToGroupRemoteStateOfferer::onExitXMLRemoteStateOfferer()
    {
    }

    // DO NOT EDIT NEXT FUNCTION
    std::string
    LookToGroupRemoteStateOfferer::GetName()
    {
        return "LookToGroupRemoteStateOfferer";
    }

    // DO NOT EDIT NEXT FUNCTION
    XMLStateOffererFactoryBasePtr
    LookToGroupRemoteStateOfferer::CreateInstance(StatechartGroupXmlReaderPtr reader)
    {
        return XMLStateOffererFactoryBasePtr(new LookToGroupRemoteStateOfferer(reader));
    }
} // namespace armarx::LookToGroup
