/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    view_selection::ViewSelectionGroup::ViewSelectionGroupRemoteStateOfferer
 * @author     Fabian Reister ( fabian dot reister at kit dot edu )
 * @date       2022
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#include "ViewSelectionGroupRemoteStateOfferer.h"

namespace armarx::view_selection::statecharts::view_selection_group
{
    // DO NOT EDIT NEXT LINE
    ViewSelectionGroupRemoteStateOfferer::SubClassRegistry
        ViewSelectionGroupRemoteStateOfferer::Registry(
            ViewSelectionGroupRemoteStateOfferer::GetName(),
            &ViewSelectionGroupRemoteStateOfferer::CreateInstance);

    ViewSelectionGroupRemoteStateOfferer::ViewSelectionGroupRemoteStateOfferer(
        StatechartGroupXmlReaderPtr reader) :
        XMLRemoteStateOfferer<ViewSelectionGroupStatechartContext>(reader)
    {
    }

    void
    ViewSelectionGroupRemoteStateOfferer::onInitXMLRemoteStateOfferer()
    {
    }

    void
    ViewSelectionGroupRemoteStateOfferer::onConnectXMLRemoteStateOfferer()
    {
    }

    void
    ViewSelectionGroupRemoteStateOfferer::onExitXMLRemoteStateOfferer()
    {
    }

    // DO NOT EDIT NEXT FUNCTION
    std::string
    ViewSelectionGroupRemoteStateOfferer::GetName()
    {
        return "ViewSelectionGroupRemoteStateOfferer";
    }

    // DO NOT EDIT NEXT FUNCTION
    XMLStateOffererFactoryBasePtr
    ViewSelectionGroupRemoteStateOfferer::CreateInstance(StatechartGroupXmlReaderPtr reader)
    {
        return {new ViewSelectionGroupRemoteStateOfferer(reader)};
    }
} // namespace armarx::view_selection::statecharts::view_selection_group
